Subject: Re: bug#20285: 25.0.50; blink-cursor-mode sometimes stops blinking

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Apr 2015 21:42:01 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> Date: Fri, 10 Apr 2015 14:24:45 -0400
> 
> I haven't followed this discussion very closely, but I can't see
> anywhere in this thread where we have data that really confirms that the
> problem was that redisplay was skipped because of other needed activities.

My impression was that the blink-cursor timer doesn't get to run, but
Tassilo says he have seen evidence to the contrary.

When this happens to me, I definitely see the mode line being updated,
while the cursor stays unchanged, either on or off.  But that could be
because redisplay always sees the cursor state at the same value,
i.e. misses the toggle.